Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class PartnerLinkType.Role11.PortType11

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.BpelObject4WSDL
                  org.apache.ode.bpel.compiler.bom.PartnerLinkType.Role11.PortType11

All Implemented Interfaces:
  java.io.Serializable, javax.wsdl.extensions.ExtensibilityElement

Enclosing class:
  PartnerLinkType.Role11

    public static class PartnerLinkType.Role11.PortType11

extends BpelObject4WSDL

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`PartnerLinkType.Role11.PortType11(org.w3c.dom.Element el)`

Method Summary
`javax.xml.namespace.QName` | `getName()`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject4WSDL
`getElementType, getRequired, getTargetNamespace, setElementType, setRequired, setTargetNamespace`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PartnerLinkType.Role11.PortType11

    public PartnerLinkType.Role11.PortType11(org.w3c.dom.Element el)

Method Detail

### getName

    public javax.xml.namespace.QName getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD